IPCS(1)

BEZEICHNUNG
ipcs - provide information on IPC facilities

ÜBERSICHT
ipcs [resource-option] [output-format]
ipcs [resource-option] -i id

BESCHREIBUNG
ipcs provides information on the inter-process communication facilities for which the calling process has read access.

OPTIONEN

-i, --id id
    Print details only on the resource identified by id.

-h, --help
    zeigt eine Hilfe an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

  Ressourcenoptionen

-q, --queues
    gibt Informationen zu den aktiven Nachrichtenwarteschlangen aus.

-m, --shmems
    gibt Informationen zu den aktiven gemeinsam genutzten Speichersegmenten aus.

-s, --semaphores
    gibt Informationen zu den aktiven Semaphor-Feldern aus.

-a, --all
    gibt Informationen zu allen drei Ressourcen aus (Voreinstellung).

  Ausgabeformate
Nur die jeweils letzte angegebene Option wird verarbeitet.

-c, --creator
    zeigt den Ersteller und Eigentümer an.

-l, --limits
    zeigt Ressourcenbegrenzungen an.

-p, --pid
    zeigt die Prozess-IDs des Erstellers und letzten Operators an.

-t, --time
    zeigt Zeitinformationen an: die Zeit des letzten Vorgangs, der die Zugriffsrechte für alle Leistungen geändert hat, die Zeit der letzten msgsnd()- und msgrcv()-Vorgänge für Nachrichtenwarteschlangen, die Zeit der letzten shmat()- und shmdt()-Vorgänge für gemeinsam genutzten Speicher und die Zeit des letzten semop()-Vorgangs für Semaphore.

-u, --summary
    zeigt eine Statuszusammenfassung an.

  Darstellung
Diese beeinflussen nur die Option -l (--limits).

-b, --bytes
    gibt die Größen in Bytes aus.

--human
    gibt die Größen in menschenlesbarem Format aus.

SIEHE AUCH
ipcrm(1), ipcmk(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2)

KONFORM ZU
Das Linux-Hilfswerkzeug ipcs ist nicht voll mit dem POSIX-Hilfswerkzeug ipcs kompatibel. Die Linux-Version unterstützt die Optionen -a, -b und -o nicht, aber unterstützt die von POSIX nicht definierten Optionen -l und -u. Die portierbare Anwendung sollte die Optionen -a, -b, -o, -l und -u nicht benutzen.

AUTOR
Krishna Balasubramanian (balasub@cis.ohio-state.edu)

VERFÜGBARKEIT
Der Befehl ipcs ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (ftp://ftp.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.